Package org.eclipse.jgit.transport

## Class PushResult

- java.lang.Object
- - org.eclipse.jgit.transport.OperationResult
  - - org.eclipse.jgit.transport.PushResult

    public class PushResult
    extends OperationResult

Result of push operation to the remote repository. Holding information of `OperationResult` and remote refs updates status.

See Also:
  `Transport.push(org.eclipse.jgit.lib.ProgressMonitor, Collection)`

### Constructor Summary

Constructors
`PushResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RemoteRefUpdate` `getRemoteUpdate​(String refName)` Get status of specific remote ref update by remote ref name.
`Collection<RemoteRefUpdate>` `getRemoteUpdates()` Get status of remote refs updates.

### Methods inherited from class org.eclipse.jgit.transport.OperationResult

`getAdvertisedRef, getAdvertisedRefs, getMessages, getTrackingRefUpdate, getTrackingRefUpdates, getURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PushResult

    public PushResult()

### Method Detail

#### getRemoteUpdates

    public Collection<RemoteRefUpdate> getRemoteUpdates()

Get status of remote refs updates. Together with `OperationResult.getAdvertisedRefs()` it provides full description/status of each ref update.

Returned collection is not sorted in any order.

Returns:
  collection of remote refs updates

#### getRemoteUpdate

    public RemoteRefUpdate getRemoteUpdate​(String refName)

Get status of specific remote ref update by remote ref name. Together with `OperationResult.getAdvertisedRef(String)` it provide full description/status of this ref update.

Parameters:
  `refName` - remote ref name
Returns:
  status of remote ref update